IPCGET_NEW(9)

NAME
ipcget_new - create a new ipc object

SYNOPSIS

int ipcget_new(struct ipc_namespace * ns, struct ipc_ids * ids, const struct ipc_ops * ops, struct ipc_params * params);

ARGUMENTS

ns
    ipc namespace

ids
    ipc identifier set

ops
    the actual creation routine to call

params
    its parameters

DESCRIPTION

This routine is called by sys_msgget, sys_semget and sys_shmget when the key is IPC_PRIVATE.

COPYRIGHT